<?php
/**
 * unit_compare_view.php - Unit Compare Version.
 *
 * @author $Author: dtong $
 * @version $Id: unit_compare_view.php,v 1.12 2012/02/20 09:59:14 dtong Exp $
 * @copyright Copyright (c) 2009, Tiller Software Co., Ltd.
*/
	$url = base_url().'unit/compare/version/' ;
	$formname = "unit_compare_form";

	if (isset($update_div)===FALSE) {
		$update_div = 'unit_history';
	}

	if (isset($notwin_div)===FALSE) {
		$notwin_div = 'compare_content';
	}
	if (isset($multi_scroll) && $multi_scroll) {
		$multi_scroll = 'class="unit_compare_scroll"';
	}
	else {
		$multi_scroll = '';
	}

	if ( $show_dropdowns ) {
		// Print the 2 version selection dropdowns.
		// We have this flag so we can turn off the version selections if required.
?>
<form method="POST" name="<?php echo $formname; ?>" >
<input type="hidden" name="courseid" value="<?php echo $unit->courseid ?>" />
<input type="hidden" name="unitid" value="<?php echo $unit->id ?>" />
<div style="margin:15px;text-align:center;"><?php echo lang('unit_compare_head');?></div>
<table width="100%" border="1">
<tr>
	<td class="unit_title_textcompare"> <?php echo lang('unit_compare_textcompare'); ?>
	<?php
		$jscript_sel = "onChange=\"updateWindow('$url', '$formname','', '$update_div', '$notwin_div');  return false; \"";
		echo form_dropdown("unitid_left", $history, $history_left, "size=1  " . "  $jscript_sel");
	?>
	</td>
	<td class="unit_title_remotefile"><?php echo lang('unit_compare_remotefile'); ?>
	<?php
		$jscript_sel = "onChange=\"updateWindow('$url', '$formname','', '$update_div', '$notwin_div');  return false; \"";
		echo form_dropdown("unitid_right", $history, $history_right, "size=1  " . "  $jscript_sel");
	?>
	</td>
</tr>
</table>
<div id="compare_content" style="border:solid 0px;">
<?php
	} // $show_dropdowns
?>
<?php
	if ( isset($inline_msg) && $inline_msg ) {
		echo $inline_msg;
	} ?>
<table width="100%" border="1"><tr>
<?php
	$units = array(CMS_UNIT_COMPARE_LEFT=>$unit_left , CMS_UNIT_COMPARE_RIGHT=>$unit_right);
	foreach ($units as $key => $unit) {
?>	<td valign="top"  width="50%" ><div <?php echo $multi_scroll; ?> >
	<table width="100%" border="0" class="unitbody">
		<tr><td>
			 <table border="0" cellpadding="3" cellspacing="0" width="98%"><tbody>
				<tr>
					<td class="<?php echo $css_title['coursename']; ?>"><span style="font-weight:bold;margin-bottom:15px;"><?php echo $coursename; ?></span></td>
				</tr>
				<tr>
					<td class="<?php echo $css_title['title']; ?>" valign="top" width="5%"><nobr><?php echo lang('unit_title'); ?>:</nobr></td>
					<td class="<?php echo $css_title['title']; ?>" valign="top" width="93%"><?php osa_echo($unit->title);   ?></td>
				</tr>
				<tr>
					<td class="<?php echo $css_title['description']; ?>" valign="top"><nobr><?php echo lang('unit_description'); ?>:</nobr></td>
					<td class="<?php echo $css_title['description']; ?>" valign="top"><?php osa_echo($unit->description); ?></td>
				</tr>
		        <tr>
					<td class="<?php echo $css_title['type']; ?>" valign="top"><nobr><?php echo lang('unit_type'); ?>:</nobr></td>
					<td class="<?php echo $css_title['type']; ?>" valign="top"><?php osa_echo($unit->typename); ?></td>
				</tr>
				<?php if ( !isset($skip_date_range) || !$skip_date_range ) { ?>
		        <tr>
					<td class="<?php echo $css_title['startdate']; ?>" valign="top"><nobr><?php echo lang('unit_startdate'); ?>:</nobr></td>
					<td class="<?php echo $css_title['startdate']; ?>" valign="top"><?php osa_echo(osa_date_format($unit->startdate)); ?></td>
				</tr>
		        <tr>
					<td class="<?php echo $css_title['enddate']; ?>" valign="top"><nobr><?php echo lang('unit_enddate'); ?>:</nobr></td>
					<td class="<?php echo $css_title['enddate']; ?>" valign="top"><?php osa_echo(osa_date_format($unit->enddate)); ?></td>
				</tr>
				<?php
					}
					if (isset($unit->blocksched_html) && $unit->blocksched_html ) {
						echo $unit->blocksched_html;
					}
				?>
			</tbody></table>
		</td></tr>
		<tr><td valign="top" colspan="2" ><div class="unit_compare_unitbody">
			<?php
				if (isset($html[$key]) && isset($html[$key]->unitbody))
			 		 echo $html[$key]->unitbody;
			?>
		</div></td></tr>
	</table></div>
	</td>
<?php } // foreach ?>
</tr>
</table>
<?php if ( $show_dropdowns ) { ?>
</div>
</form><?php } ?>